# std::experimental::basic_string_view<CharT,Traits>::front

From cppreference.com
< cpp‎ | experimental‎ | basic string view

constexpr const_reference front() const; |  | (library fundamentals TS)

Returns reference to the first character in the view.

### Parameters

(none)

### Return value

reference to the first character, equivalent to operator[](0).

### Complexity

Constant.

### See also

back | accesses the last character (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/basic_string_view/front&oldid=71252"